package com.sample;

import mockit.Mocked;
import mockit.NonStrictExpectations;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.xxxxxxx.drvpp.fw.common.mybatis.MyBatisSessionFactory;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations="classpath:testApplicationContext.xml")
public class MainTest {
	@BeforeClass
	public static void setUpBeforeClass(){
		//BeanFactoryBuilder.setApplicationContext("testApplicationContext.xml");
		MyBatisSessionFactory.setResourceName("testMybatis.xml");		
	}

	@Test
	public void testDoExecute001() {
		new NonStrictExpectations() {
			@Mocked
			Main main;
			{
				main.doExecute();
				result = 1;
			}
		};

//		int result = main.doExecute();
		Main m = new Main();
		int result = m.doExecute();

		Assert.assertEquals(1, result);
	}

	@Test
	public void testDoExecute002(){
		Main m = new Main();
		int result = m.doExecute();

		Assert.assertEquals(0, result);
		
	}

}
