package com.xxxxxxx.drvpp.biz.batch.xyz.business;

import java.util.Date;

import org.apache.ibatis.session.SqlSession;

import com.xxxxxxx.drvpp.biz.batch.xyz.domain.Pet;
import com.xxxxxxx.drvpp.fw.batch.util.BatchParameter;
import com.xxxxxxx.drvpp.fw.batch.util.Business;
import com.xxxxxxx.drvpp.fw.common.log.Logger;
import com.xxxxxxx.drvpp.fw.common.log.LoggerFactory;
import com.xxxxxxx.drvpp.fw.common.log.LoggerFactoryBuilder;

public class BusinessC implements Business<BatchParameter> {
	public int doExecute(BatchParameter parameter) {
    	LoggerFactoryBuilder loggerFactoryBuilder = LoggerFactoryBuilder.getInstance();
    	LoggerFactory loggerFactory = loggerFactoryBuilder.getLoggerFactory();
    	Logger log = loggerFactory.getLogger(this.getClass());
		log.info(this.getClass().getSimpleName());

		SqlSession sqlSession = parameter.getSqlSession();
		Pet newPet = new Pet();
		newPet.setPetId(10);
		newPet.setPetName("エラー");
		newPet.setOwnerName("エラー太郎");
		newPet.setPrice(3000);
		newPet.setBirthDate(new Date());
		sqlSession.insert("com.xxxxxxx.drvpp.biz.batch.xyz.dao.PetMapper.insertPet", newPet);
		
		//throw new Exception();
		//return 999;
		return 0;
	}
}
