package com.xxxxxxx.drvpp.biz.web.xyz.business;

import java.util.Date;

import org.apache.ibatis.session.SqlSession;

import com.xxxxxxx.drvpp.biz.web.xyz.domain.Pet;
import com.xxxxxxx.drvpp.fw.common.log.Logger;
import com.xxxxxxx.drvpp.fw.common.log.LoggerFactory;
import com.xxxxxxx.drvpp.fw.common.log.LoggerFactoryBuilder;
import com.xxxxxxx.drvpp.fw.web.util.Business;
import com.xxxxxxx.drvpp.fw.web.util.WebParameter;

public class BusinessB implements Business<WebParameter> {
	public int doExecute(WebParameter parameter) {
    	LoggerFactoryBuilder loggerFactoryBuilder = LoggerFactoryBuilder.getInstance();
    	LoggerFactory loggerFactory = loggerFactoryBuilder.getLoggerFactory();
    	Logger log = loggerFactory.getLogger(this.getClass());
		log.info(this.getClass().getSimpleName());

		SqlSession sqlSession = parameter.getSqlSession();
		Pet newPet = new Pet();
		newPet.setPetId(10);
		newPet.setPetName("たま");
		newPet.setOwnerName("東京太郎");
		newPet.setPrice(3000);
		newPet.setBirthDate(new Date());
		sqlSession.insert("com.xxxxxxx.drvpp.biz.web.xyz.dao.PetMapper.insertPet", newPet);
		
		return 0;
	}

}
